Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		fluidsynth
Version:	1.0.8
Release:	1
License:	GNU/GPL 
URL:		http://www.fluidsynth.org
Group:		Multimedia/Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	fluidsynth is a real-time software synthesizer.

Requires:	jack-audio-connection-kit
Requires:	alsa-lib
Requires:	alsa-oss
Requires:	ladspa
Requires:	ladcca

BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	ladspa-devel
BuildRequires:	ladcca-devel
BuildRequires:	ncurses-devel
BuildRequires:	glibc-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
fluidsynth is a real-time software synthesizer based on the SoundFont 2 specifications.
FluidSynth can read MIDI events from a MIDI input device and render them to an audio device using
SoundFont instruments. SoundFont files are composed of digital audio "samples" and additional
instrument parameters. These files can be created or downloaded off the Internet.
FluidSynth also has support for controlling effects in real time and can play MIDI files. 
For more details see: http://www.fluidsynth.org

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	rpm >= 4.4.2.3-1

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--enable-ladspa \
--enable-ladcca \
--mandir=%_mandir \
--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so*
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 21 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.8-1
- Version update
* Tue Apr 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.7a-1
- Version update
* Sat Jun 25 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.6-1
- update to version 1.0.6, rebuild for readline 
- specfile improvements, moving static files to devel
* Mon Mar 07 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.5-1
- Initial Release
